@ECHO OFF

GOTO CHOOSE_PROD

:CHOOSE_PROD
echo Please choose the product type.
echo 1. Current Unlock
echo 2. Legacy Unlock (Amber/Blueberry Android 7.0 firmware)
set /p PROD_TYPE="Please select a number between 1 and 6: "
echo.

if %PROD_TYPE% == 1 (
	goto MODERN
) else if %PROD_TYPE% == 2 (
	goto LEGACY
) else (
	CLS
	echo Wrong selection!
	goto CHOOSE_PROD
)

:LEGACY
ECHO Legacy is choosen.
ECHO Connect the device and make sure it is in fastboot mode!
ECHO.
fastboot oem at-unlock-vboot default_credential
GOTO EXIT

:MODERN
ECHO Modern is choosen.
echo Connect the device and make sure it is in fastboot mode!
.\at_auth_unlock.exe .\creds\
GOTO EXIT

:EXIT
ECHO Press any key to restart the device... & PAUSE>NUL
fastboot reboot